<!DOCTYPE html>
<html>
	<body>
		<p>Click the button to solve 3 question of binary tree</p>
		<button onclick="rightSublings()">right sublings</button>
		<p id="demo"></p>

		<script>
			function rightSublings() {
			
				// Node class
				class Node {
					constructor(data, parent_node)
					{
						this.data = data;
						this.left = null;
						this.right = null;
                        this.parent = parent_node;
					}
				}
				
				// Binary Search tree class
				class Tree {
					constructor() {
					// root of a binary seach tree
					this.root = null;
				}

                // returns root of the tree
			    getRootNode() {
				    return this.root;
			    }
			
            }


            
            // create an object for the Tree
            var tree = new Tree();
            tree.root = new Node(7,null);
            tree.root.left = new Node(6,root);
            tree.root.right = new Node(5,root);
            tree.root.left.left = new Node(4,root.left);
            tree.root.left.right = new Node(3,root.left)
            tree.root.right.left = new Node(2,root.right);
            tree.root.right.right = new Node(1,root.right); 
            var rootNode = tree.getRootNode();
            console.log(rootNode);
        }
		</script>

	</body>
</html>